%global _empty_manifest_terminate_build 0
Name:		python-msgpack
Version:	1.0.8
Release:	1
Summary:	MessagePack (de)serializer.
License:	Apache-2.0
URL:		https://github.com/msgpack/msgpack-python
Source0:	https://files.pythonhosted.org/packages/08/4c/17adf86a8fbb02c144c7569dc4919483c01a2ac270307e2d59e1ce394087/msgpack-1.0.8.tar.gz


%description
[MessagePack](https://msgpack.org/) is an efficient binary serialization format.
It lets you exchange data among multiple languages like JSON.
But it's faster and smaller.
This package provides CPython bindings for reading and writing MessagePack data.

%package -n python3-msgpack
Summary:	MessagePack (de)serializer.
Provides:	python-msgpack
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:	gcc-c++
%description -n python3-msgpack
[MessagePack](https://msgpack.org/) is an efficient binary serialization format.
It lets you exchange data among multiple languages like JSON.
But it's faster and smaller.
This package provides CPython bindings for reading and writing MessagePack data.

%package help
Summary:	Development documents and examples for msgpack
Provides:	python3-msgpack-doc
%description help
[MessagePack](https://msgpack.org/) is an efficient binary serialization format.
It lets you exchange data among multiple languages like JSON.
But it's faster and smaller.
This package provides CPython bindings for reading and writing MessagePack data.

%prep
%autosetup -n msgpack-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-msgpack -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri May 10 2024 tenglei <tenglei@kylinos.cn> - 1.0.8-1
- Upadte package version to 1.0.8
- Update Cython to 3.0.8. This fixes memory leak when iterating Unpacker object on Python 3.12
- Do not include C/Cython files in binary wheels.

* Thu Apr 06 2023 xu_ping <707078654@qq.com> - 1.0.5-1
- Upgrade to 1.0.5

* Thu Sep 29 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1.0.4-1
- Upgrade to 1.0.4

* Fri Jul 22 2022 liksh <liks11@chinaunicom.cn> - 1.0.3-1
- upgrade to 1.0.3 for openstack yoga

* Wed May 18 2022 liukuo <liukuo@kylinos.cn> - 1.0.2-3
- License compliance rectification

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.0.2-2
- DESC: delete BuildRequires gdb

* Fri Dec 18 2020 Python_Bot <Python_Bot@openeuler.org> - 1.0.2-1
- Package Spec generated
